Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.controls
Class JUMultiAttrListEditor

`java.lang.Object
javax.swing.plaf.basic.BasicComboBoxEditor
oracle.jbo.uicli.controls.JUMultiAttrListEditor`

All Implemented Interfaces:
  javax.swing.ComboBoxEditor, java.util.EventListener, java.awt.event.FocusListener

public class JUMultiAttrListEditor
extends javax.swing.plaf.basic.BasicComboBoxEditor

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicComboBoxEditor
`javax.swing.plaf.basic.BasicComboBoxEditor.UIResource`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicComboBoxEditor
`editor`

Constructor Summary
`JUMultiAttrListEditor(JUCtrlListBinding binding, int attrIndex)`

Method Summary
`java.lang.Object` | `getItem()`
`void` | `setItem(java.lang.Object anObject)`

Methods inherited from class javax.swing.plaf.basic.BasicComboBoxEditor
`addActionListener, focusGained, focusLost, getEditorComponent, removeActionListener, selectAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUMultiAttrListEditor

    public JUMultiAttrListEditor(JUCtrlListBinding binding,
                                 int attrIndex)

Method Detail

### setItem

    public void setItem(java.lang.Object anObject)

### getItem

    public java.lang.Object getItem()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.